﻿* Encoding: UTF-8.

Towards a Conceptualisation of Intensive Parenting Norms: Testing Exact and Approximate Measurement Invariance across Social and Country Contexts
Exploratory  factor analysis, pooled data and seperately for each country

------------------------------------------------------------------------------------------------------------------------------------

WEIGHT BY w2weight.

* EFA for all items. use:  ESS_Cronos_W2.sav.
FACTOR 
  /VARIABLES q55 to q72
  /MISSING LISTWISE 
  /ANALYSIS q55 to q72
  /PRINT INITIAL EXTRACTION ROTATION
  /FORMAT BLANK(.10)
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.

* EFA, 4 factorial solution proposed by Gauthier et al. (2021) .- use ESS_Cronos_W2_14items.sav.
FACTOR
  /VARIABLES q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70  q71
  /MISSING LISTWISE 
  /ANALYSIS  q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70  q71
  /PRINT INITIAL EXTRACTION ROTATION
  /FORMAT BLANK(.10)
  /CRITERIA FACTORS(4) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.

*  EFA for each country separately to see if the factorial structure matches - model proposed by Gauthier et al. (2021). - Table 3. 
 * ESS_Cronos_W2_14items.sav.

USE ALL.
COMPUTE filter_$=(country= 1).
VARIABLE LABELS filter_$ 'country = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

USE ALL.
COMPUTE filter_$=(country= 2).
VARIABLE LABELS filter_$ 'country = 2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

USE ALL.
COMPUTE filter_$=(country= 3).
VARIABLE LABELS filter_$ 'country = 3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FACTOR
  /VARIABLES q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70  q71
  /MISSING LISTWISE 
  /ANALYSIS q55 q56 q57 q60 q61 q63 q64 q65 q66 q67 q68 q69 q70  q71
  /PRINT INITIAL EXTRACTION ROTATION
  /FORMAT BLANK(.10)
   /CRITERIA FACTORS(4) ITERATE(25)
  /EXTRACTION PC
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.

*
q55 - this item leans towards different factors - was therefore excluded
q56 - ok
q57 - this item leans towards different factor in GB and in SL has low factor score - was therefore excluded
q58 - ok
q60 - this item leans towards different factor in EE - was therefore excluded
q61 - this item leans towards different factors - was therefore excluded
q63 ok
q64 - this item leans towards different factors - was therefore excluded
q65 - ok
q66 - ok
q67 - ok
q68 - ok
q69 - ok
q70 - ok
q71 - low factor scores in EE and SL
q72 - this item leans towards different factors - was therefore excluded
q56 and q68 were excluded, for MI testing as there should be at least three items in a factor.

* Perform an EFA for each country separately for 7 items and 2 factor model.- Table 5.
use ESS_Cronos_W2_7items.sav.
GET 
  FILE='H:\Jana\PROJEKTY\pracovni2022\GACR\Kristyna\CRONOS_data\ESS_Cronos_W2_7items.sav'. 
DATASET NAME DataSet3 WINDOW=FRONT.

WEIGHT BY w2weight.
USE ALL.
COMPUTE filter_$=(country= 1).
VARIABLE LABELS filter_$ 'country = 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

USE ALL.
COMPUTE filter_$=(country = 2).
VARIABLE LABELS filter_$ 'zeme_3 = 2 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

USE ALL.
COMPUTE filter_$=(country = 3).
VARIABLE LABELS filter_$ 'country = 3 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

FACTOR
  /VARIABLES q59 q63 q65 q66 q67 q69 q70
  /MISSING LISTWISE 
  /ANALYSIS q59 q63 q65 q66 q67 q69 q70
  /PRINT INITIAL EXTRACTION ROTATION
  /FORMAT BLANK(.10)
  /CRITERIA MINEIGEN(1) ITERATE(25)
  /EXTRACTION PAF
  /CRITERIA ITERATE(25)
  /ROTATION VARIMAX
  /METHOD=CORRELATION.

*All these seven items have the same factor structure in the three countries studied and factor loadings of 0.3 or above. 

